## Function template init_from_settings

boost::log::init_from_settings

## Synopsis

    // In header: <boost/log/utility/setup/from_settings.hpp>

    template<typename CharT>
      void init_from_settings(basic_settings_section< CharT > const & setts);

## Description

The function initializes the logging library from a settings container

Throws: An `std::exception`-based exception if the provided settings are not valid.

Parameters:

`setts` | Library settings container